Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Interface AttributeException

public interface AttributeException

Interface AttributeException is a mixin interface which a subclass of `PrintException` can implement to report an error condition involving one or more printing attributes that a particular Print Service instance does not support. Either the attribute is not supported at all, or the attribute is supported but the particular specified value is not supported. The Print Service API does not define any print exception classes that implement interface AttributeException, that being left to the Print Service implementor's discretion.

Method Summary
`Class[]` | `getUnsupportedAttributes()` Returns the array of printing attribute classes for which the Print Service instance does not support the attribute at all, or null if there are no such attributes.
`Attribute[]` | `getUnsupportedValues()` Returns the array of printing attributes for which the Print Service instance supports the attribute but does not support that particular value of the attribute, or null if there are no such attribute values.

Method Detail

### getUnsupportedAttributes

    public Class[] getUnsupportedAttributes()

  Returns the array of printing attribute classes for which the Print Service instance does not support the attribute at all, or null if there are no such attributes. The objects in the returned array are classes that extend the base interface `Attribute`.

  Returns:
    unsupported attribute classes

### getUnsupportedValues

    public Attribute[] getUnsupportedValues()

  Returns the array of printing attributes for which the Print Service instance supports the attribute but does not support that particular value of the attribute, or null if there are no such attribute values.

  Returns:
    unsupported attribute values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.